#########
# Author:        rmp
# Maintainer:    $Author: ajb $
# Last Modified: $Date: 2008-10-08 14:11:11 +0100 (Wed, 08 Oct 2008) $ $Author: ajb $
# Id:            $Id: Makefile.PL 3193 2008-10-08 13:11:11Z ajb $
# $HeadURL: svn+ssh://intcvs1/repos/svn/new-pipeline-dev/useful_modules/tags/release-2.0/Makefile.PL $
#
package Makefile;
use strict;
use warnings;
use 5.005;
use SangerPaths qw(core tracking badger ensembl trackingnpg);
use ExtUtils::MakeMaker;
use English qw(-no_match_vars);

our $VERSION = do { my @r = (q$LastChangedRevision: 3193 $ =~ /\d+/mxg); sprintf '%d.'.'%03d' x $#r, @r };

WriteMakefile(
	      'NAME'          => 'npg_common_modules',
	      'AUTHOR'        => q(Andy Brown <ajb@sanger.ac.uk>),
	      'VERSION_FROM'  => 'lib/npg_common/image.pm',
	      'DISTNAME'      => 'NPG_COMMON',
	      'PREREQ_PM'     => {
				  'Carp' => 1.04,
				  'Class::Accessor' => 0.31,
                                  'Digest::MD5' => 2.36,
				  'English' => 1.02,
				  'ExtUtils::MakeMaker' => 0,
				  'GD' => 2.35,
				  'GD::Graph::area' => 1.17,
				  'GD::Graph::bars' => 1.26,
				  'GD::Graph::bars3d' => 0.63,
				  'GD::Graph::lines' => 1.15,
				  'GD::Graph::lines3d' => 0.63,
				  'GD::Graph::mixed' => 1.13,
				  'GD::Image' => 0,
				  'POSIX' => 1.09,
				  'Readonly' => '1.03',
				  'Sanger::Graphics::ColourMap' => 0,
				  'SangerPaths' => 1.011,
				  'strict' => 1.03,
				  'Test::More' => 0.74,
				  'warnings' => 1.05,
				 },
	      'dist'          => { COMPRESS => 'gzip', SUFFIX => 'gz', },
	     );

1;
