#########
# Author:        rmp
# Last Modified: $Date: 2008-10-08 14:11:11 +0100 (Wed, 08 Oct 2008) $ $Author: ajb $
# Id:            $Id: 00-distribution.t 3193 2008-10-08 13:11:11Z ajb $
# Source:        $Source: /cvsroot/Bio-DasLite/Bio-DasLite/t/00-distribution.t,v $
# $HeadURL: svn+ssh://intcvs1/repos/svn/new-pipeline-dev/useful_modules/tags/release-2.0/t/00-distribution.t $
#
package distribution;
use strict;
use warnings;
use Test::More;
use English qw(-no_match_vars);
use SangerPaths qw(core tracking badger ensembl);

our $VERSION = do { my @r = (q$LastChangedRevision: 3193 $ =~ /\d+/mxg); sprintf '%d.'.'%03d' x $#r, @r };

eval {
  require Test::Distribution;
};

if($EVAL_ERROR) {
  plan skip_all => 'Test::Distribution not installed';
} else {
  Test::Distribution->import('not' => 'prereq'); # Having issues with Test::Dist seeing my PREREQ_PM :(
}

1;
